Quattro9SpreadsheetInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
Quattro9SpreadsheetInternal::State Struct Reference

the state of Quattro9Spreadsheet More...

## Public Member Functions
| State (QuattroFormulaManager::CellReferenceFunction const &readCellReference)
| constructor
librevenge::RVNGString | getSheetName (int id) const
| returns the ith spreadsheet

## Public Attributes
int | m_version
| the file version
std::pair< std::shared_ptr< WPSStream >, std::vector< Quattro9ParserInternal::TextEntry > > | m_documentStrings
| the document strings
std::pair< std::shared_ptr< WPSStream >, std::vector< WPSEntry > > | m_documentFormulas
| the document formulas
QuattroFormulaManager | m_formulaManager
| the formula manager
std::shared_ptr< Spreadsheet > | m_actualSpreadsheet
| the actual sheet
int | m_actualColumn
| the actual column
std::vector< Style > | m_stylesList
| the list of styles
std::map< int, std::shared_ptr< Spreadsheet > > | m_spreadsheetMap
| the map of spreadsheet
std::map< int, librevenge::RVNGString > | m_idToSheetNameMap
| the map id to sheet's name
std::map< int, librevenge::RVNGString > | m_idToUserFormatMap
| map id to user format string

## Detailed Description

the state of Quattro9Spreadsheet

## Constructor & Destructor Documentation

## ◆ State()

Quattro9SpreadsheetInternal::State::State | ( | QuattroFormulaManager::CellReferenceFunction const & | readCellReference | ) |
| inlineexplicit

constructor

## Member Function Documentation

## ◆ getSheetName()

librevenge::RVNGString Quattro9SpreadsheetInternal::State::getSheetName | ( | int | id | ) | const
| inline

returns the ith spreadsheet

## Member Data Documentation

## ◆ m_actualColumn

int Quattro9SpreadsheetInternal::State::m_actualColumn

the actual column

Referenced by State().

## ◆ m_actualSpreadsheet

std::shared_ptr<Spreadsheet> Quattro9SpreadsheetInternal::State::m_actualSpreadsheet

the actual sheet

Referenced by State().

## ◆ m_documentFormulas

std::pair<std::shared_ptr<WPSStream>, std::vector<WPSEntry> > Quattro9SpreadsheetInternal::State::m_documentFormulas

the document formulas

Referenced by State().

## ◆ m_documentStrings

std::pair<std::shared_ptr<WPSStream>, std::vector<Quattro9ParserInternal::TextEntry> > Quattro9SpreadsheetInternal::State::m_documentStrings

the document strings

Referenced by State().

## ◆ m_formulaManager

QuattroFormulaManager Quattro9SpreadsheetInternal::State::m_formulaManager

the formula manager

Referenced by State().

## ◆ m_idToSheetNameMap

std::map<int, librevenge::RVNGString> Quattro9SpreadsheetInternal::State::m_idToSheetNameMap

the map id to sheet's name

Referenced by getSheetName(), and State().

## ◆ m_idToUserFormatMap

std::map<int, librevenge::RVNGString> Quattro9SpreadsheetInternal::State::m_idToUserFormatMap

map id to user format string

Referenced by State().

## ◆ m_spreadsheetMap

std::map<int, std::shared_ptr<Spreadsheet> > Quattro9SpreadsheetInternal::State::m_spreadsheetMap

the map of spreadsheet

Referenced by State().

## ◆ m_stylesList

std::vector<Style> Quattro9SpreadsheetInternal::State::m_stylesList

the list of styles

Referenced by State().

## ◆ m_version

int Quattro9SpreadsheetInternal::State::m_version

the file version

Referenced by State().

The documentation for this struct was generated from the following file:

- Quattro9Spreadsheet.cpp